# Create transfer order

This operation is used to create a inventory transfer request between two Wineshipping managed inventory locations. Successful execution of this operation will generate a new transfer order in Wineshipping system. A transaction reference identifier is returned in this operation. Store this identifier in your application and systems as applicable. This reference ID is available in the event a problem occurs with the associated request.

Endpoint: POST /api/InventoryMovement/CreateTransferOrder
Version: 3.1.4

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `TransferInfo` (object, required)

  - `TransferInfo.CustomerReferenceNo` (string, required)
    Pickup or delivery reference number

  - `TransferInfo.RequestedDate` (string, required)

  - `TransferInfo.TransferFromWarehouse` (string, required)
    See [warehouse locations](../../../../docs/codes/warehouselocations) for possible values.
    Enum: "APC01", "APC02", "COB01", "COB02", "ETC01", "MMC01", "PRB02", "PRB04", "SJU01", "TWL01", "VCX01", "WOX01"

  - `TransferInfo.InventoryStatusCode` (string, required)
    See [inventory codes](../../../../docs/codes/inventorycodes) for possible values. Array of up to 5 items is allowed, and if omitted, all items will be included in the results.
    Enum: "GOOD-NO-TX", "RTGD-NO-TX", "RDMG-NO-TX", "CDMG-NO-TX", "DMGD-NO-TX", "GOOD-NO-BD", "DMGD-ST-BD", "GOOD-ST-IM"

  - `TransferInfo.FirstName` (string, required)

  - `TransferInfo.LastName` (string, required)

  - `TransferInfo.PhoneNumber` (string, required)
    Example: 7079339063

  - `TransferInfo.EmailAddress` (string, required)

  - `TransferInfo.SpecialInstruction` (string)

  - `ItemsInfo` (array, required)

  - `ItemsInfo.ItemNo` (string, required)
    Example: 1466-SE

  - `ItemsInfo.ItemDescription` (string)
    Example: 2016 CAB SAUV RESERVE NAPA VALLEY

  - `ItemsInfo.ItemQuantity` (integer)
    Example: 6

  - `ItemsInfo.QuantityUnit` (string)
    Specify whether an item quantity should be denominated in Retail (i.e., bottles) or Wholesale (i.e., cases) when creating an order. If set to Auto, the Order Type determines the default quantity, i.e., bottles for Retail and cases for Wholesale.
    Enum: "RETAIL", "WHOLESALE", "AUTO"

  - `ItemsInfo.InventoryTaxStatus` (string)
    Specify an inventory tax status when creating an order for wholesale, DTT, or DTW. Not relevant to DTC orders.
    Enum: "GOOD-LB-TX", "GOOD-NO-BD", "GOOD-NO-CB", "GOOD-NO-TX", "GOOD-ST-BD", "GOOD-ST-EX", "GOOD-ST-IM", "GOOD-ST-TX"

  - `ItemsInfo.UnitPrice` (number)
    Unit sale price charged to the consumer.

## Response 201:

  - `201` (unknown)
    Returns a transaction reference identifier

## Response 400:

  - `400` (unknown)
    Invalid Input Data

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 429:

  - `429` (unknown)
    Too Many Requests [... see rate-limit details](https://wineshipping-api.redocly.app/../../../../docs/infrastructure#rate-limits--quotas)

## Response 500:

  - `500` (unknown)
    Internal Server Error

